Loading...
Searching...
No Matches
juce::midi_ci::MUID Class Reference

## Detailed Description

A 28-bit ID that uniquely identifies a device taking part in a series of MIDI-CI transactions.

The documentation for this class was generated from the following file:

- juce_midi_ci/ci/juce_CIMuid.h

## Public Member Functions

constexpr uint32_t | get () const
| Returns the ID as a plain integer.
bool | operator== (const MUID other) const
bool | operator!= (const MUID other) const
bool | operator< (const MUID other) const

## Static Public Member Functions

static MUID | makeUnchecked (uint32_t v)
| Converts the provided integer to a MUID without validation that it is within the allowed range.
static std::optional< MUID > | make (uint32_t v)
| Returns a MUID if the provided value is within the valid range for MUID values; otherwise returns nullopt.
static MUID | makeRandom (Random &r)
| Makes a random MUID using the provided random engine.
static constexpr MUID | getBroadcast ()
| Returns the special MUID representing the broadcast address.

## Member Functions

## get()

uint32_t juce::midi_ci::MUID::get | ( |  | ) | const

inline constexpr

Returns the ID as a plain integer.

## makeUnchecked()

MUID juce::midi_ci::MUID::makeUnchecked | ( | uint32_t | v | ) |

inline static

Converts the provided integer to a MUID without validation that it is within the allowed range.

References jassert.

Referenced by make(), and makeRandom().

## make()

std::optional< MUID > juce::midi_ci::MUID::make | ( | uint32_t | v | ) |

inline static

Returns a MUID if the provided value is within the valid range for MUID values; otherwise returns nullopt.

References makeUnchecked().

## makeRandom()

MUID juce::midi_ci::MUID::makeRandom | ( | Random & | r | ) |

inline static

Makes a random MUID using the provided random engine.

References makeUnchecked(), and juce::Random::nextInt().

## operator==()

bool juce::midi_ci::MUID::operator== | ( | const MUID | other | ) | const

inline

## operator!=()

bool juce::midi_ci::MUID::operator!= | ( | const MUID | other | ) | const

inline

## operator<()

bool juce::midi_ci::MUID::operator< | ( | const MUID | other | ) | const

inline

## getBroadcast()

constexpr MUID juce::midi_ci::MUID::getBroadcast | ( |  | ) |

inline static constexpr

Returns the special MUID representing the broadcast address.

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited